# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "soup-sdk"
version = "0.1.1"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "채팅 이벤트 수신 SDK"
readme = false
license = "MIT"

[lib]
name = "soup_sdk"
path = "src/lib.rs"

[[bin]]
name = "soup-sdk"
path = "src/main.rs"

[dependencies.anyhow]
version = "1.0"

[dependencies.chrono]
version = "0.4.4"
features = ["serde"]

[dependencies.futures-util]
version = "0.3"

[dependencies.reqwest]
version = "0.12"
features = [
    "json",
    "cookies",
]

[dependencies.rustls]
version = "0.23.27"
features = ["ring"]

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.serde-this-or-that]
version = "0.5.0"

[dependencies.serde_json]
version = "1.0"

[dependencies.thiserror]
version = "1.0"

[dependencies.tokio]
version = "1"
features = ["full"]

[dependencies.tokio-rustls]
version = "0.26.2"

[dependencies.tokio-tungstenite]
version = "0.23"
features = [
    "url",
    "rustls-tls-webpki-roots",
]

[dependencies.url]
version = "2"
features = ["serde"]
